Subject: Re: [PATCH] quota: Use %pV and __attribute__((format (printf in __quota_error and fix fallout

From: Joe Perches <[email-masked]>
Date: Wed, 24 Nov 2010 07:01:17 -0800

On Wed, 2010-11-24 at 13:50 +0100, Jan Kara wrote:
> On Tue 23-11-10 18:49:54, Joe Perches wrote:
> > Use %pV in __quota_error so a single printk can not be
> > interleaved with other logging messages.
> > Add __attribute__((format (printf, 3, 4))) so format
> > and arguments can be verified by compiler.
> > Make sure printk formats and arguments match.
> > 
> > Block # needed a pointer dereference.
>   I already had a similar patch from you in my tree. So I've replaced it.

Perhaps you can get your tree into linux-next.

I believe you only have to send a request to
Stephen Rothwell (cc'd).